subtle - Feature #110

Add an option to disable 'pointer follows gravity’
08/02/2009 06:35 PM - Ville Kovacs

Status: Fixed Start date: 08/02/2009
Priority: High Due date:

Assignee: Christoph Kappel % Done: 100%
Category: Feature Estimated time: 2.00 hours
Target version: Xi

Description

If you use unclutter to hide the mouse pointer and switch between windows the pointer appears on the center of the window and then
disappears again.

http://www.ibiblio.org/pub/X11/contrib/utilities/unclutter-8. README

History

#1 - 08/05/2009 12:08 PM - Christoph Kappel
- Category set to Feature

- Target version set to 1

| tested this and it isn't so easy to archive. Just disabling the pointer movement will not work, my suggestions is adding an option to hide the cursor
like with a grab. Hiding will mean | just replace the current cursor with an empty cursor and vice versa. Will also reduce the need of tools like unclutter.

What do you think about this way?

#2 - 03/14/2011 09:10 PM - Christoph Kappel

- Status changed from Unconfirmed to Rejected

#3 - 11/18/2011 10:32 PM - Christoph Kappel
- Status changed from Rejected to Unconfirmed

- Target version set to Xi

#4 - 11/18/2011 10:57 PM - Christoph Kappel
- Status changed from Unconfirmed to Fixed

- % Done changed from 0 to 100

Applied in changeset 007340c8917c.

#5 - 11/18/2011 10:58 PM - Christoph Kappel

| changed my mind about that, pointer doesn't follow e.g. gravity changes anymore, when click-to-focus is enabled.

08/28/2025 1/1



http://www.ibiblio.org/pub/X11/contrib/utilities/unclutter-8.README
https://subtle.de/projects/subtle/repository/revisions/007340c8917cc25bee819b9f2246403237d2d58e
https://subtle.de/projects/subtle/wiki/Gravity
http://www.tcpdf.org

